import Config from '../static/config/index.js';
import WXBizDataCrypt from "./WXBizDataCrypt.js"; 
export default{
	uniLogin() {
		uni.login({
		  provider: 'weixin',
		  success: function (loginRes) {
			  return loginRes.code;
		  }})
	},
	async uniGetUserInfo() {
		uni.getUserInfo({
		  provider: 'weixin',
		  success: function (infoRes) {
			    let username=infoRes.userInfo.nickName;//用户名
				let gender=infoRes.userInfo.gender;//用户性别
				let avatarUrl=infoRes.userInfo.avatarUrl;//头像
		}})
	},
	// 解密手机
	async onGetPhoneNumber(appid,session_key,encryptedData,iv) {
	 let pc = await new WXBizDataCrypt(appid,session_key);
	 let data = await pc.decryptData(encryptedData ,iv);
	 return data;
	},
	// 扫码方法
	scanCode() {
			 uni.scanCode({
				  success:(res)=> {
					   this.scaninfo=res;
					   if(res.result){//res.result
					   if(res.result.includes(Config.AVScanUrl)){
						   uni.reLaunch({
							url:`/pages/index/index?q=${res.result}`
						   })
					   }else{
						   uni.showToast({
						   	title:'二维码错误',
							icon:'none'
						   })
					   }
					   // '0016429'||
					   
					   // `../pages/index/index`
					//    console.log(res.result,'内部扫码')
					   }
				  },
				  fail() {
				  	 uni.showToast({
						 icon:'none',
						 title:'扫码失败'
					 })
				  }
			  });
	},
	formatDate(value) {
	                var date = new Date();
	                date.setTime(value);
	                var month = date.getMonth() + 1;
					if (month < 10)
					    month = "0" + month;
					var cdate = date.getDate();
					if (cdate < 10)
					    cdate = "0" + cdate;
	                var hours = date.getHours();
	                if (hours < 10)
	                    hours = "0" + hours;
	                var minutes = date.getMinutes();
	                if (minutes < 10)
	                    minutes = "0" + minutes;
	                var time = date.getFullYear() + "-" + month + "-" + cdate +
	                    " " + hours + ":" + minutes;
	                return time;
	            },
	// 校验营养输入输入框
	async validNum(YYTJ,finaly) {
		let res=true;
		let YYFL={EN:'EN',PNAJS:'PN氨基酸',PNZFRJ:'PN脂肪乳剂',DQDQHY:'多腔袋全合一'};
		for(let i=0;i<YYTJ.length;i++){
			let item=YYTJ[i];
			let index=item.med.index;
			index=YYFL[index]||'';
			if(item.dose!==''&&isNaN(item.dose)){
				if(finaly){
					uni.showToast({
					title:`${index}：请输入正确的数值`,
					icon:'none'
				});
					res=false;
				    break;
				}else if(!finaly){
					uni.showToast({
						title:`${index}：请输入正确的数值`,
						icon:'none'
					});
				}
			}else if(finaly&&item.med.name==''&&item.dose!==''&&!isNaN(item.dose)){
					uni.showToast({
					title:`${index}：请选择药剂名称`,
					icon:'none'
				});
					res=false;
				    break;
				}
		}
		return res;
	},
	//过滤营养输入的方法
	filterYYTJ(sourceForm){
		let YYMC=['EN','PNAJS','PNZFRJ','DQDQHY'];
	    let form=JSON.parse(JSON.stringify(sourceForm));
		   YYMC.forEach(v=>{
			   form[v]=form[v].filter(item=>{
				   if(item.dose==''){
				   	item.dose=0;
				   }else{
				   	item.dose=Number(item.dose)
				   }
				   return item.med.name!=''
			   });
		      }
		   );
		return form;
	},
    numberFixed(data,fixed=2){
		if(data==undefined){
			return undefined
		}else if(data == 0){
			return '0'
		}else{
			return (Math.round(Number(data) * Math.pow(10,fixed)) / Math.pow(10,fixed)).toFixed(fixed);
		}
	}
}